GraphiQL open_in_new

# `Timeline`

Represents all of the events visible to a user from an Issue or PullRequest timeline.

## GraphQL Schema definition `

- interface Timeline {
- # A list of events associated with an Issue or PullRequest.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # since: Allows filtering timeline events
- # by a `since` timestamp.
- timeline(first: Int, after: String, last: Int, before: String, since: String): IssueTimelineConnection!
- }

`